Package com.io7m.waxmill.strings.api

# Class WXMAbstractStrings

java.lang.Object
com.io7m.waxmill.strings.api.WXMAbstractStrings

All Implemented Interfaces:
  `WXMStringsType`

Direct Known Subclasses:
  `WXMBootMessages`, `WXMMachineMessages`, `WXMMessages`, `WXMProcessMessages`, `WXMRealizeMessages`

    public abstract class WXMAbstractStrings
    extends java.lang.Object
    implements WXMStringsType

An abstract implementation of the `WXMStringsType` interface.

- ## Constructor Summary

  Constructors
  Modifier | Constructor | Description
  --- | --- | ---
  `protected` | `WXMAbstractStrings​(java.util.ResourceBundle inResources)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.lang.String` | `format​(java.lang.String id, java.lang.Object... args)` | Format a message.
  `protected static java.util.ResourceBundle` | `ofXML​(java.io.InputStream stream)` |
  `protected static java.util.ResourceBundle` | `ofXMLResource​(java.lang.Class<?> clazz, java.lang.String resource)` |
  `java.util.ResourceBundle` | `resources()` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### WXMAbstractStrings

    protected WXMAbstractStrings​(java.util.ResourceBundle inResources)

- ## Method Details

  - ### ofXML

    protected static java.util.ResourceBundle ofXML​(java.io.InputStream stream)

  - ### ofXMLResource

    protected static java.util.ResourceBundle ofXMLResource​(java.lang.Class<?> clazz, java.lang.String resource)

  - ### resources

    public final java.util.ResourceBundle resources()
    Specified by:
      `resources` in interface `WXMStringsType`
    Returns:
      The underlying resource bundle

  - ### format

    public final java.lang.String format​(java.lang.String id, java.lang.Object... args)
    Description copied from interface: `WXMStringsType`
    Format a message.
    Specified by:
      `format` in interface `WXMStringsType`
    Parameters:
      `id` - The string resource ID
      `args` - Any required string format arguments
    Returns:
      A formatted string
    See Also:
      `MessageFormat`